com::lomiri::location::service::session::Skeleton Class Reference

`#include <skeleton.h>`

Inheritance diagram for com::lomiri::location::service::session::Skeleton:
Collaboration diagram for com::lomiri::location::service::session::Skeleton:

## Classes

struct | Local
struct | Remote
struct | Configuration

## Public Member Functions

| Skeleton (const Configuration &configuration)
virtual | ~Skeleton () noexcept
virtual const core::dbus::types::ObjectPath & | path () const
const std::string & | remote_app_id () const

## Detailed Description

Definition at line 46 of file service/session/skeleton.h.

## Constructor & Destructor Documentation

## Skeleton()

com::lomiri::location::service::session::Skeleton::Skeleton | ( | const Configuration & | configuration | ) |

## ~Skeleton()

virtual com::lomiri::location::service::session::Skeleton::~Skeleton | ( |  | ) |

virtual noexcept

## Member Function Documentation

## path()

virtual const core::dbus::types::ObjectPath & com::lomiri::location::service::session::Skeleton::path | ( |  | ) | const

virtual

References path().

Referenced by path().

Here is the call graph for this function:

## remote_app_id()

const std::string & com::lomiri::location::service::session::Skeleton::remote_app_id | ( |  | ) | const

inline

Definition at line 85 of file service/session/skeleton.h.

References remote_app_id().

Referenced by remote_app_id().

Here is the call graph for this function:

## Member Data Documentation

## heading_changed

core::ScopedConnection com::lomiri::location::service::session::Skeleton::heading_changed

Definition at line 115 of file service/session/skeleton.h.

## position_changed

core::ScopedConnection com::lomiri::location::service::session::Skeleton::position_changed

Definition at line 113 of file service/session/skeleton.h.

## velocity_changed

core::ScopedConnection com::lomiri::location::service::session::Skeleton::velocity_changed

Definition at line 117 of file service/session/skeleton.h.

The documentation for this class was generated from the following file:

- service/session/skeleton.h